SystemSpecificCollection (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.SystemSpecificCollection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface SystemSpecificCollection

All Superinterfaces:
  Collection, ManagedElement, ModelObject, java.io.Serializable

    public interface SystemSpecificCollection

extends Collection

A collection of elements, where each member must be chosen from the components of a system. Due to current limitations, the system from which these members are taken must be a Sysplex. This will be updated in the future to allow selection of members from any CIM system ...

Naming Rules:
  0="system,systemSpecificName"
Persistable:
  true
Display Name:
  system

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.Collection
`IBM_COPYRIGHT`

Method Summary
`Sysplex` | `getSystem()` The system from which members can be chosen.
`java.lang.String` | `getSystemSpecificName()` The name of the system-specific collection.
`boolean` | `hasSystem()`
`boolean` | `hasSystemSpecificName()`
`void` | `setSystem(Sysplex value)`
`void` | `setSystemSpecificName(java.lang.String value)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSystem

    Sysplex getSystem()
                      throws AttributeNotSetException

  The system from which members can be chosen.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.HostedCollection" reverse="true"

### setSystem

    void setSystem(Sysplex value)

### hasSystem

    boolean hasSystem()

### getSystemSpecificName

    java.lang.String getSystemSpecificName()
                                           throws AttributeNotSetException

  The name of the system-specific collection.

  Throws:
    `AttributeNotSetException`

### setSystemSpecificName

    void setSystemSpecificName(java.lang.String value)

### hasSystemSpecificName

    boolean hasSystemSpecificName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD